package com.pcloud.book.group.vo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;

/**
 * @author 戴兴
 * @description TODO
 * @date 2019/7/25 19:35
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GroupIncomeStaticParamVO implements Serializable {

    private Long bookGroupId;

    private Integer currentPage;

    private Integer numPerPage;

    private String type;

    private Long classifyId;

    private Long wxGroupId;

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getNumPerPage() {
        return numPerPage;
    }

    public void setNumPerPage(Integer numPerPage) {
        this.numPerPage = numPerPage;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getWxGroupId() {
        return wxGroupId;
    }

    public void setWxGroupId(Long wxGroupId) {
        this.wxGroupId = wxGroupId;
    }

    @Override
    public String toString() {
        return "GroupIncomeStaticParamVO{" +
                "bookGroupId=" + bookGroupId +
                ", currentPage=" + currentPage +
                ", numPerPage=" + numPerPage +
                ", type=" + type +
                ", classifyId=" + classifyId +
                ", wxGroupId=" + wxGroupId +
                '}';
    }
}